ScanopyScanopy
Hosts

List all hosts

Returns all hosts the authenticated user has access to, with their ip_addresses, ports, and services included. Supports pagination via limit and offset query parameters, and ordering via group_by, order_by, and order_direction.

GET
/api/v1/hosts
Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

network_id?string|null

Filter by network ID

Formatuuid
ids?|null

Filter by specific entity IDs (for selective loading)

tag_ids?|null

Filter by tag IDs (returns hosts that have ANY of the specified tags)

group_by?null|HostOrderField

Primary ordering field (used for grouping). Always sorts ASC to keep groups together.

order_by?null|HostOrderField

Secondary ordering field (sorting within groups or standalone sort).

order_direction?null|OrderDirection

Direction for order_by field (group_by always uses ASC).

limit?integer|null

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

Formatint32
Range0 <= value <= 1000
offset?integer|null

Number of results to skip. Default: 0.

Formatint32
Range0 <= value

Response Body

application/json

curl -X GET "https://loading/api/v1/hosts"
{
  "data": [
    {
      "created_at": "2026-01-15T10:30:00Z",
      "credential_assignments": [],
      "description": "Primary web server",
      "hidden": false,
      "hostname": "web-server-01.local",
      "id": "550e8400-e29b-41d4-a716-446655440003",
      "interfaces": [
        {
          "admin_status": "Up",
          "cdp_address": null,
          "cdp_device_id": null,
          "cdp_platform": null,
          "cdp_port_id": null,
          "created_at": "2026-01-15T10:30:00Z",
          "host_id": "550e8400-e29b-41d4-a716-446655440003",
          "id": "550e8400-e29b-41d4-a716-44665544000f",
          "if_alias": "Uplink to Core Switch",
          "if_descr": "GigabitEthernet0/1",
          "if_index": 1,
          "if_name": "Gi0/1",
          "if_type": 6,
          "ip_address_id": "550e8400-e29b-41d4-a716-446655440005",
          "lldp_chassis_id": null,
          "lldp_mgmt_addr": null,
          "lldp_port_desc": null,
          "lldp_port_id": null,
          "lldp_sys_desc": null,
          "lldp_sys_name": null,
          "mac_address": "DE:AD:BE:EF:CA:FE",
          "neighbor": null,
          "network_id": "550e8400-e29b-41d4-a716-446655440002",
          "oper_status": "Up",
          "speed_bps": 1000000000,
          "updated_at": "2026-01-15T10:30:00Z"
        }
      ],
      "ip_addresses": [
        {
          "created_at": "2026-01-15T10:30:00Z",
          "host_id": "550e8400-e29b-41d4-a716-446655440003",
          "id": "550e8400-e29b-41d4-a716-446655440005",
          "ip_address": "192.168.1.100",
          "mac_address": "DE:AD:BE:EF:CA:FE",
          "name": "eth0",
          "network_id": "550e8400-e29b-41d4-a716-446655440002",
          "position": 0,
          "subnet_id": "550e8400-e29b-41d4-a716-446655440004",
          "updated_at": "2026-01-15T10:30:00Z"
        }
      ],
      "name": "web-server-01",
      "network_id": "550e8400-e29b-41d4-a716-446655440002",
      "ports": [
        {
          "created_at": "2026-01-15T10:30:00Z",
          "host_id": "550e8400-e29b-41d4-a716-446655440003",
          "id": "550e8400-e29b-41d4-a716-446655440006",
          "network_id": "550e8400-e29b-41d4-a716-446655440002",
          "number": 80,
          "protocol": "Tcp",
          "type": "Http",
          "updated_at": "2026-01-15T10:30:00Z"
        }
      ],
      "services": [
        {
          "bindings": [
            {
              "created_at": "2026-04-20T04:23:43.700520Z",
              "id": "6d4be516-287f-41f5-84bc-c3c9fb694ae6",
              "ip_address_id": "550e8400-e29b-41d4-a716-446655440005",
              "network_id": "550e8400-e29b-41d4-a716-446655440002",
              "port_id": "550e8400-e29b-41d4-a716-446655440006",
              "service_id": "550e8400-e29b-41d4-a716-446655440007",
              "type": "Port",
              "updated_at": "2026-04-20T04:23:43.700520Z"
            }
          ],
          "created_at": "2026-01-15T10:30:00Z",
          "host_id": "550e8400-e29b-41d4-a716-446655440003",
          "id": "550e8400-e29b-41d4-a716-446655440007",
          "name": "nginx",
          "network_id": "550e8400-e29b-41d4-a716-446655440002",
          "position": 0,
          "service_definition": "APC",
          "source": {
            "type": "Manual"
          },
          "tags": [],
          "updated_at": "2026-01-15T10:30:00Z",
          "virtualization": null
        }
      ],
      "source": {
        "type": "Manual"
      },
      "tags": [],
      "updated_at": "2026-01-15T10:30:00Z",
      "virtualization": null
    }
  ],
  "meta": {
    "api_version": 1,
    "pagination": {
      "has_more": true,
      "limit": 50,
      "offset": 0,
      "total_count": 142
    },
    "server_version": "0.16.1"
  },
  "success": true,
  "error": "string"
}